.is-style-country-profile-table,
.is-style-country-profile-table-highlight {
  table {
    border: none;
    border-collapse: separate;
    border-spacing: 0 5px;
    font-size: var(--wp--preset--font-size--small);

    max-width: 600px;

    tr td {
      background: var(--wp--preset--color--base-2);
      border: none;
      &:first-child {
        font-weight: bold;
        border-top-left-radius: 0.5em;
        border-bottom-left-radius: 0.5em;
      }
      &:last-child {
        border-top-right-radius: 0.5em;
        border-bottom-right-radius: 0.5em;
      }
    }
  }
}

.is-style-country-profile-table-highlight {
  --border-color: var(--wp--preset--color--tuerkis-schrift);

  tr:first-child {
    font-weight: bold;
    color: var(--wp--preset--color--tuerkis-schrift);
    td {
      border-top: 1px solid var(--border-color);
      border-bottom: 1px solid var(--border-color);
      &:first-child {
        border-left: 1px solid var(--border-color);
      }
      &:last-child {
        border-right: 1px solid var(--border-color);
      }
    }
  }
}

body
  :where(.editor-styles-wrapper)
  :is(.block-editor-block-list__block, .block-editor-block-list__layout)
  .wp-block-table:is(
    .is-style-country-profile-table,
    .is-style-country-profile-table-highlight
  )
  table {
  border: none;
  border-collapse: separate;
  border-spacing: 0 5px;
}

ol.is-style-country-profile-footnotes {
  font-size: var(--wp--preset--font-size--small);
  padding-top: 1em;
  padding-left: 0em;
  margin-left: 0em;
  max-width: 65ch;
  list-style-position: inside;
  border-top: 1px solid var(--wp--preset--color--base-2);
}
